<?php

require('PHPMailer/src/PHPMailer.php');
require('PHPMailer/src/SMTP.php');
require('PHPMailer/src/Exception.php');

use PHPMailer\PHPMailer\PHPMailer;

?>

<?php include("_ayarlar.php"); ?>
<?php include("_fonksiyonlar.php"); ?>
<?php uye_degil_ise(); ?>
<?php include("_header.php"); ?>

    <div class="hero overlay inner-page bg-primary py-5">
        <div class="container">
            <div class="row align-items-center justify-content-center text-center pt-5">
                <div class="col-lg-6">
                    <h1 class="heading text-white mb-3" data-aos="fade-up">Parolamı Unuttum</h1>
                </div>
            </div>
        </div>
    </div>

    <!-- Start retroy layout blog posts -->
    <section class="section">
        <div class="container">
            <form method="post">
                <div class="mb-3">
                    <label for="eposta" class="form-label">e-Posta</label>
                    <input type="email" class="form-control" id="eposta" name="eposta" value="<?php echo @$_POST["eposta"] ?>" required>
                </div> 
                <button type="submit" class="btn btn-primary" name="gonder">Parola Sıfırlama Bağlantısı Gönder</button>
            </form>
            <?php
            if(isset($_POST["gonder"])){
                $eposta = $_POST["eposta"];
                $sql = "SELECT * FROM kullanici WHERE eposta = '$eposta' ";
                $tablo = $vt->query($sql);

                if($tablo->num_rows==1){
                    $kod = sha1(uniqid());
                    $kod_sql = "UPDATE kullanici SET kod = '$kod' WHERE eposta = '$eposta' ";
                    $vt->query($kod_sql);

                    $baslik = "BELTEK Haber - Parola Sıfırlama Bağlantısı";
                    $link = "https://.../parola-sifirla.php?kod=$kod";
                    // echo "<br>$link<br><br>";
                    $mesaj = "Sayın Kullanıcı, BELTEK Haber Platformu için parola sıfırlama bağlantınız aşağıdadır.<br><br>$link<br><br>Eğer talepte bulunan siz değilseniz bu e-postayı göz ardı edebilirsiniz.";
            
                    $mail = new PHPMailer(true);

                    $mail->SMTPSecure = 'STARTTLS';
                    $mail->Username = "";	// Gönderici e-Posta adresi
                    $mail->Password = "";	// Gönderici e-Posta parolası
                    $mail->AddAddress($eposta);	// Alıcı adresi
                    $mail->FromName = "BELTEK Haber"; // Gönderici adı
                    $mail->Subject = $baslik; // e-Posta başlığı
                    $mail->MsgHTML($mesaj); // e-Posta içeriği
                    $mail->Host = "smtp-mail.outlook.com";	// Gönderici e-Posta adresi SMTP adresi
                    $mail->Port = 587;
                    $mail->IsSMTP();
                    $mail->SMTPAuth = true;
                    $mail->From = $mail->Username;
                    $mail->CharSet = 'UTF-8';
                    // $mail->SMTPDebug  = 3;

                    if ($mail->Send()){
                        echo "<br>Parola sıfırlama bağlantısı e-postanıza gönderildi. Lütfen gelen kutunuzu kontrol ediniz.";
                    }
                    else{
                        echo "<br>e-Posta gönderilemedi. Lütfen daha sonra tekrar deneyiniz.";
                    }
                }
                else if($tablo->num_rows==0){
                    echo "<br>Böyle bir e-posta bulunamadı. Lütfen tekrar deneyiniz.";
                }
            }
            ?>
        </div>
    </section>
    <!-- End retroy layout blog posts -->
<?php include("_footer.php"); ?>